<script>
 window.onload = function () {
    var f = document.getElementsByName("frame1");
    var doc = f[0].contentDocument;
    console.log('doc:',doc)
    doc.getElementsByTagName('body')[0].innerHTML = 'Hello !'; 
}
</script>
<frameset rows="33%,33%,*">
<frame name="frame1" src="frame1.html"/>
<frame name="frame2" src="frame2.html"/>
<frame name="frame3" src="frame3.html"/>
</frameset>
<script>
 alert('not executed')
</script>
